import request from '@/utils/request'

// 获取冰排列表
export function getIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'get',
    params: parameter
  })
}

// 添加冰排
export function addIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'post',
    data: parameter
  })
}

// 编辑冰排
export function putIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'put',
    data: parameter
  })
}

// 删除冰排
export function delIceRaft(parameter) {
  return request({
    url: '/api/ice-raft',
    method: 'delete',
    data: parameter
  })
}

// 获取设备探头
export function getSensor(parameter) {
  return request({
    url: '/api/device-sensor',
    method: 'get',
    params: parameter
  })
}

// 获取设备温湿度记录
export function getSensorData(parameter) {
  return request({
    url: '/api/device-sensor/data',
    method: 'get',
    params: parameter
  })
}
